## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEUser

All Superinterfaces:
  AuthorizationIdentifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SybaseAuthorizationIdentifier, User

All Known Implementing Classes:
  SybaseASECatalogUser, SybaseASEUserImpl

    public interface SybaseASEUser

extends User, SybaseAuthorizationIdentifier

A representation of the model object 'Sybase ASE User'.

The following features are supported:

- `Login Name`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEUser()`

Method Summary
`java.lang.String` `getLoginName()` Returns the value of the 'Login Name' attribute.
`void` `setLoginName(java.lang.String value)` Sets the value of the '`Login Name`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.User
`getGroup`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.AuthorizationIdentifier
`getDatabase, getGrantedPrivilege, getGrantedRoleAuthorization, getOwnedSchema, getReceivedPrivilege, getReceivedRoleAuthorization, setDatabase`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseAuthorizationIdentifier
`getSqlContainer, setSqlContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.AuthorizationIdentifier
`getDatabase, getGrantedPrivilege, getGrantedRoleAuthorization, getOwnedSchema, getReceivedPrivilege, getReceivedRoleAuthorization, setDatabase`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLoginName

    java.lang.String getLoginName()

  Returns the value of the 'Login Name' attribute. The default value is `""`.

  If the meaning of the 'Login Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Login Name' attribute.
  See Also:
    `setLoginName(String)`, `SybaseasesqlmodelPackage.getSybaseASEUser_LoginName()`

### setLoginName

    void setLoginName(java.lang.String value)

  Sets the value of the '`Login Name`' attribute.

  Parameters:
    `value` - the new value of the 'Login Name' attribute.
  See Also:
    `getLoginName()`